# BEGIN SourceDeps(oneline):
BuildRequires: libc++-devel zlib-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:	UML 2 tool box to specify and generate code in C++, Java, IDL, PHP and Python
Name:		douml
Version:	1.0.8
Release:	alt1_7
License:	GPLv3
Group:		Development/Other
URL:		https://github.com/DoUML/douml
#https://github.com/DoUML/douml/archive/master.zip
Source0:	https://github.com/DoUML/douml/archive/v%{version}/%{name}-%{version}.tar.gz
#https://github.com/DoUML/douml/issues/81
Patch0:		%{name}-1.0-mga-doc-path-fix.patch
#https://github.com/DoUML/douml/issues/83
Patch1:		%{name}-1.0-mga-override-transition.patch
#https://github.com/DoUML/douml/issues/125
Patch2:		%{name}-1.0-mga-i18n-desktop.patch
#https://github.com/DoUML/douml/issues/126
Patch3:		%{name}-1.0-mga-exec-desktop.patch
Patch4:		%{name}-1.0-mga-categories.patch
Patch5:		%{name}-1.0.8-mga-documentation.patch
Patch6:		%{name}-1.0.8-gcc7.patch
Patch7:		%{name}-1.0.8-fix-build-against-qt-5.11.0.patch
BuildRequires:	gcc-c++
BuildRequires:	boost-complete
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)

Requires:	xdg-utils
Requires:	bouml-doc
Provides:	bouml = %{version}
Source44: import.info

%description
DoUML is a free Unified Modeling Language (UML 2) tool box allowing you
to specify and generate code in C++, Java, Idl, Php and Python.
You can use it to create nearly all of UML diagrams.
DoUML can generate code from those diagrams in
C++, Java, IDL, PHP and Python, and can also reverse existing code.

The program supports class diagrams, sequence diagrams, collaboration diagrams,
object diagrams, use case diagrams, component diagrams, state diagrams,
activity diagrams, component diagrams and deployment diagrams.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1


%build
%make_build DOUML_LIB=%{_libdir}/%{name} QMAKE=%{_qt5_bindir}/qmake

%install
%makeinstall_std DOUML_LIB=%{_libdir}/%{name}
#disable warning when starting
touch %{buildroot}%{_libdir}/%{name}/override_transition.txt

%files
%doc README.*
%{_bindir}/%{name}
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_iconsdir}/hicolor/64x64/apps/%{name}.png
%{_datadir}/pixmaps/%{name}.png


%changelog
* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 1.0.8-alt1_7
- update by mgaimport

* Fri Dec 25 2020 Igor Vlasenko <viy@altlinux.ru> 1.0.8-alt1_6
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 1.0.8-alt1_5
- update by mgaimport

* Wed Apr 10 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.8-alt1_4
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.0.8-alt1_3
- update by mgaimport

* Wed Jun 13 2018 Igor Vlasenko <viy@altlinux.ru> 1.0.8-alt1_2
- new version

* Fri Apr 06 2018 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_0.git201510107
- new version

